手机浏览 RSS 2.0 订阅 膘叔的简单人生 , 腾讯云RDS购买 | 超便宜的Vultr , 注册 | 登陆

google notebook。。。

首页 > Software >

在很久前,google notebook还是我有点喜欢的一个小功能,方便(有点方便啦)。然而等到ff升级到3。5后就再不支持了。
郁闷啊。

网上也看了很多文章,都是说要改xpi文件里的内容,他们是这么说的:

  1. 首先下载google-notebook.xpi插件包  
  2.   
  3. wget http://dl.google.com/firefox/google-notebook.xpi  
  4.   
  5. 将其解压,编辑install.rdf文件  
  6.   
  7. 修改第14行 <em:maxVersion>3.0.*</em:maxVersion>  
  8.   
  9. 将版本号3.0.*改为3.5.*甚至3.6.*  
  10.   
  11. 然后保存,再进行打包,将其重命名为google-notebook.xpi  
  12.   
  13. 再在Firefox中打开文件中选中打包后的google-notebook.xpi,接下来的事情就同正常的安装插件一样步骤了  
  14.   
  15. 2009.7.11号更新:如上方法最为简便的就是直接用解压缩程序打开然后再双击install.rdf选用记事本(windows)或者gedit(Linux)打开,编辑完成后保存关闭,此时解压缩程序检测到源文件改变自然会提示是否更新,选择是即可。但在Linux下可能需要解决权限问题方可采用此法 (此方法可行性较小,建议直接解压)  
  16.   
  17. 2009年8月10号更新:当前Google貌似修改了原xpi文件,进行了一些检测机制,所以在打包之前记得将 META-INF 文件夹删除  

 

还有人说,直接安装Nightly Tester Tools就可以了,因为这个插件可以帮忙强制安装。下载地址为: https://addons.mozilla.org/en-US/firefox/addon/6543

试试吧?

旁注:原来,NTT就是可以自定义一些FF的属性,比如版本号啥的。这样可以让插件以为你现在的平台是3.0以前,所以就能够安装了。。。果然狠

 




本站采用创作共享版权协议, 要求署名、非商业和保持一致. 本站欢迎任何非商业应用的转载, 但须注明出自"膘叔", 保留原始链接, 此外还必须标注原文标题和链接.

Tags: notebook

« 上一篇 | 下一篇 »

1条记录访客评论

前阵子愁这事那  升到3.5好多插件不能用了

Post by 仰累了 on 2009, September 1, 2:41 PM 引用此文发表评论 #1


发表评论

评论内容 (必填):